<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: X4X8Multiplex.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_x4_x8_multiplex_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">X4X8Multiplex.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x4_x8_multiplex_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef X4X8MULTIPLEX_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define X4X8MULTIPLEX_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_uav_multiplex_8h.html">UavMultiplex.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>X4X8Multiplex_impl;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html">X4X8Multiplex</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">UavMultiplex</a> {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> class ::X4X8Multiplex_impl;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">   36</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036">   37</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036">X4</a>, </div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084">   38</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084">X8</a>  </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  } <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">UavType_t</a>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4">   47</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd">   48</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd">TopFrontLeft</a> = 0,     </div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756">   49</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756">TopFrontRight</a> = 1,    </div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450">   50</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450">TopRearLeft</a> = 2,      </div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc">   51</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc">TopRearRight</a> = 3,     </div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a77b9010aee3383fa0765b8154d7884a0">   52</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a77b9010aee3383fa0765b8154d7884a0">BottomFrontLeft</a> = 4,  </div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a6e80b22119896bcb7eedf15730c248a8">   53</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a6e80b22119896bcb7eedf15730c248a8">BottomFrontRight</a> = 5, </div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0">   54</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0">BottomRearLeft</a> = 6,   </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a1b4222cea334c2c0694fad03b3100074">   55</a></span>&#160;    <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a1b4222cea334c2c0694fad03b3100074">BottomRearRight</a> = 7,  </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  } <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4">MotorNames_t</a>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a32a704ec5f3dcf55007b9d02998a5ce5">X4X8Multiplex</a>(std::string name, <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">UavType_t</a> type);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aa3b731c11f87975b216e54f2b568c0e1">~X4X8Multiplex</a>();</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a807762c68c04134ef3ccea86d68a238a">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  uint8_t <a class="code" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a1d01e1773c2550552e9704f267a74ba8">MotorsCount</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  X4X8Multiplex_impl *pimpl_;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;};</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#endif // X4X8MULTIPLEX_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_ae7be46c8a6e49d2b53a733416cfd0fcb"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb">flair::filter::X4X8Multiplex::UavType_t</a></div><div class="ttdeci">UavType_t</div><div class="ttdoc">type of UAV </div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:36</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450">flair::filter::X4X8Multiplex::TopRearLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:50</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4a1b4222cea334c2c0694fad03b3100074"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a1b4222cea334c2c0694fad03b3100074">flair::filter::X4X8Multiplex::BottomRearRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:55</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4a6e80b22119896bcb7eedf15730c248a8"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a6e80b22119896bcb7eedf15730c248a8">flair::filter::X4X8Multiplex::BottomFrontRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:53</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html">flair::filter::X4X8Multiplex</a></div><div class="ttdoc">Class defining X4 and X8 multiplexing. </div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:28</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4a77b9010aee3383fa0765b8154d7884a0"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a77b9010aee3383fa0765b8154d7884a0">flair::filter::X4X8Multiplex::BottomFrontLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:52</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcba0144da0493565cd330864db9c2852036">flair::filter::X4X8Multiplex::X4</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:37</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd">flair::filter::X4X8Multiplex::TopFrontLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:48</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html">flair::filter::UavMultiplex</a></div><div class="ttdoc">Class defining uav multiplexing. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:37</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_a32a704ec5f3dcf55007b9d02998a5ce5"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a32a704ec5f3dcf55007b9d02998a5ce5">flair::filter::X4X8Multiplex::X4X8Multiplex</a></div><div class="ttdeci">X4X8Multiplex(std::string name, UavType_t type)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc">flair::filter::X4X8Multiplex::TopRearRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:51</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_a1d01e1773c2550552e9704f267a74ba8"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a1d01e1773c2550552e9704f267a74ba8">flair::filter::X4X8Multiplex::MotorsCount</a></div><div class="ttdeci">uint8_t MotorsCount(void) const </div><div class="ttdoc">Motors count. </div></div>
<div class="ttc" id="_uav_multiplex_8h_html"><div class="ttname"><a href="_uav_multiplex_8h.html">UavMultiplex.h</a></div><div class="ttdoc">Class defining uav multiplexing. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcbaf3bc4d1091cff6cd94bf2fd9d6eec084">flair::filter::X4X8Multiplex::X8</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:38</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756">flair::filter::X4X8Multiplex::TopFrontRight</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:49</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_a807762c68c04134ef3ccea86d68a238a"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#a807762c68c04134ef3ccea86d68a238a">flair::filter::X4X8Multiplex::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4">flair::filter::X4X8Multiplex::MotorNames_t</a></div><div class="ttdeci">MotorNames_t</div><div class="ttdoc">Motor names. </div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:47</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4af8c975e8172f62cedf82aef31c8ae9e0">flair::filter::X4X8Multiplex::BottomRearLeft</a></div><div class="ttdef"><b>Definition:</b> X4X8Multiplex.h:54</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_x4_x8_multiplex_html_aa3b731c11f87975b216e54f2b568c0e1"><div class="ttname"><a href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aa3b731c11f87975b216e54f2b568c0e1">flair::filter::X4X8Multiplex::~X4X8Multiplex</a></div><div class="ttdeci">~X4X8Multiplex()</div><div class="ttdoc">Destructor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_c640b400eb634d478af9606dd6c9f1e6.html">FlairFilter</a></li><li class="navelem"><a class="el" href="dir_9f4b49da50e680b0f2ceec11232e4cfd.html">src</a></li><li class="navelem"><a class="el" href="_x4_x8_multiplex_8h.html">X4X8Multiplex.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
